Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.transforms.params
Class XPathFilterCHGPContainer

    java.lang.Object
      org.apache.xml.security.utils.ElementProxy
          org.apache.xml.security.transforms.params.XPathFilterCHGPContainer

All Implemented Interfaces:
  TransformParam

    public class XPathFilterCHGPContainer

extends ElementProxy
implements TransformParam

Implements the parameters for a custom Transform which has a better performance than the xfilter2.

Author:
  $Author: coheigea $

Field Summary
`static java.lang.String` | `_ATT_INCLUDESLASH` Field _ATT_INCLUDESLASH
`static java.lang.String` | `_TAG_XPATHCHGP` Field _TAG_XPATHCHGP
`static boolean` | `ExcludeSlash` Field ExcludeSlash
`static boolean` | `IncludeSlash` Field IncludeSlash
`static java.lang.String` | `TRANSFORM_XPATHFILTERCHGP`

Fields inherited from class org.apache.xml.security.utils.ElementProxy
`baseURI, constructionElement, doc, log`

Method Summary
`java.lang.String` | `getBaseLocalName()` Method getBaseLocalName
`java.lang.String` | `getBaseNamespace()` Method getBaseNamespace
`java.lang.String` | `getExclude()` Method getExclude
`java.lang.String` | `getExcludeButSearch()` Method getExcludeButSearch
`org.w3c.dom.Node` | `getHereContextNodeExclude()` Method getHereContextNodeExclude
`org.w3c.dom.Node` | `getHereContextNodeExcludeButSearch()` Method getHereContextNodeExcludeButSearch
`org.w3c.dom.Node` | `getHereContextNodeIncludeButSearch()` Method getHereContextNodeIncludeButSearch
`java.lang.String` | `getIncludeButSearch()` Method getIncludeButSearch
`boolean` | `getIncludeSlashPolicy()` Method getIncludeSlashPolicy
`static XPathFilterCHGPContainer` | `getInstance(org.w3c.dom.Document doc, boolean includeSlashPolicy, java.lang.String includeButSearch, java.lang.String excludeButSearch, java.lang.String exclude)` Creates a new XPathFilterCHGPContainer; needed for generation.
`static XPathFilterCHGPContainer` | `getInstance(org.w3c.dom.Element element, java.lang.String BaseURI)` Creates a XPathFilterCHGPContainer from an existing Element; needed for verification.

Methods inherited from class org.apache.xml.security.utils.ElementProxy
`addBase64Element, addBase64Text, addBigIntegerElement, addText, addTextElement, createElementForFamily, createElementForFamilyLocal, getBaseURI, getBigIntegerFromChildElement, getBytesFromChildElement, getBytesFromTextChild, getDefaultPrefix, getDocument, getElement, getElementPlusReturns, getTextFromChildElement, getTextFromTextChild, length, registerDefaultPrefixes, setDefaultPrefix, setElement, setXPathNamespaceContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TRANSFORM_XPATHFILTERCHGP

    public static final java.lang.String TRANSFORM_XPATHFILTERCHGP

See Also:
  Constant Field Values

### _TAG_XPATHCHGP

    public static final java.lang.String _TAG_XPATHCHGP

  Field _TAG_XPATHCHGP

  See Also:
    Constant Field Values

### _ATT_INCLUDESLASH

    public static final java.lang.String _ATT_INCLUDESLASH

  Field _ATT_INCLUDESLASH

  See Also:
    Constant Field Values

### IncludeSlash

    public static final boolean IncludeSlash

  Field IncludeSlash

  See Also:
    Constant Field Values

### ExcludeSlash

    public static final boolean ExcludeSlash

  Field ExcludeSlash

  See Also:
    Constant Field Values

Method Detail

### getInstance

    public static XPathFilterCHGPContainer getInstance(org.w3c.dom.Document doc,
                                                       boolean includeSlashPolicy,
                                                       java.lang.String includeButSearch,
                                                       java.lang.String excludeButSearch,
                                                       java.lang.String exclude)

  Creates a new XPathFilterCHGPContainer; needed for generation.

  Parameters:
    `doc` -
    `includeSlashPolicy` -
    `includeButSearch` -
    `excludeButSearch` -
    `exclude` -
  Returns:
    the created object

### getInstance

    public static XPathFilterCHGPContainer getInstance(org.w3c.dom.Element element,
                                                       java.lang.String BaseURI)
                                                throws XMLSecurityException

  Creates a XPathFilterCHGPContainer from an existing Element; needed for verification.

  Parameters:
    `element` -
    `BaseURI` -
  Returns:
    the created object.
  Throws:
    `XMLSecurityException`

### getIncludeButSearch

    public java.lang.String getIncludeButSearch()

  Method getIncludeButSearch

  Returns:
    the string

### getExcludeButSearch

    public java.lang.String getExcludeButSearch()

  Method getExcludeButSearch

  Returns:
    the string

### getExclude

    public java.lang.String getExclude()

  Method getExclude

  Returns:
    the string

### getIncludeSlashPolicy

    public boolean getIncludeSlashPolicy()

  Method getIncludeSlashPolicy

  Returns:
    the string

### getHereContextNodeIncludeButSearch

    public org.w3c.dom.Node getHereContextNodeIncludeButSearch()

  Method getHereContextNodeIncludeButSearch

  Returns:
    the string

### getHereContextNodeExcludeButSearch

    public org.w3c.dom.Node getHereContextNodeExcludeButSearch()

  Method getHereContextNodeExcludeButSearch

  Returns:
    the string

### getHereContextNodeExclude

    public org.w3c.dom.Node getHereContextNodeExclude()

  Method getHereContextNodeExclude

  Returns:
    the string

### getBaseLocalName

    public final java.lang.String getBaseLocalName()

  Method getBaseLocalName

  Specified by:
    `getBaseLocalName` in class `ElementProxy`
  Returns:
    the localname of the Elements of the sub-class.

### getBaseNamespace

    public final java.lang.String getBaseNamespace()

  Method getBaseNamespace

  Specified by:
    `getBaseNamespace` in class `ElementProxy`
  Returns:
    the namespace of the Elements of the sub-class.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD